<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AFML/test/AudioActivityTrackerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_15a1dcf98404372b5aa31671439f6987.html">AFML</a></li><li class="navelem"><a class="el" href="dir_a5e318463da77a3e30281cd4eea4096c.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AudioActivityTrackerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;future&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_context_manager_8h_source.html">AVSCommon/SDKInterfaces/MockContextManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_string_utils_8h_source.html">AVSCommon/Utils/String/StringUtils.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_audio_activity_tracker_8h_source.html">AFML/AudioActivityTracker.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AudioActivityTrackerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_audio_activity_tracker_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_audio_activity_tracker_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_audio_activity_tracker_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_audio_activity_tracker_test_8cpp">
<area shape="rect" id="node12" href="_mock_context_manager_8h.html" title="AVSCommon/SDKInterfaces\l/MockContextManager.h" alt="" coords="1704,105,1895,144"/>
<area shape="rect" id="node20" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="397,105,567,144"/>
<area shape="rect" id="node34" href="_string_utils_8h.html" title="AVSCommon/Utils/String\l/StringUtils.h" alt="" coords="750,365,919,404"/>
<area shape="rect" id="node35" href="_audio_activity_tracker_8h.html" title="AFML/AudioActivityTracker.h" alt="" coords="2324,199,2516,224"/>
<area shape="rect" id="node13" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="1959,279,2150,317"/>
<area shape="rect" id="node14" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="1822,365,2017,404"/>
<area shape="rect" id="node17" href="_state_provider_interface_8h.html" title="AVSCommon/SDKInterfaces\l/StateProviderInterface.h" alt="" coords="2092,365,2283,404"/>
<area shape="rect" id="node18" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="2052,452,2281,491"/>
<area shape="rect" id="node19" href="_state_refresh_policy_8h.html" title="AVSCommon/AVS/StateRefresh\lPolicy.h" alt="" coords="1535,365,1747,404"/>
<area shape="rect" id="node22" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="868,192,1044,231"/>
<area shape="rect" id="node23" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="868,279,1044,317"/>
<area shape="rect" id="node28" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1044,365,1257,404"/>
<area shape="rect" id="node30" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="374,452,550,491"/>
<area shape="rect" id="node31" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="500,365,676,404"/>
<area shape="rect" id="node32" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="228,365,425,404"/>
<area shape="rect" id="node33" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2606,365,2782,404"/>
<area shape="rect" id="node37" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="2857,365,3049,404"/>
<area shape="rect" id="node38" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="2999,279,3225,317"/>
<area shape="rect" id="node40" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="3770,365,3958,404"/>
<area shape="rect" id="node41" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3469,279,3664,317"/>
<area shape="rect" id="node47" href="_channel_8h.html" title="AFML/Channel.h" alt="" coords="2359,372,2480,397"/>
<area shape="rect" id="node50" href="_activity_tracker_interface_8h.html" title="AFML/ActivityTrackerInterface.h" alt="" coords="1484,285,1694,311"/>
<area shape="rect" id="node46" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="4082,365,4277,404"/>
<area shape="rect" id="node48" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="2458,452,2651,491"/>
<area shape="rect" id="node49" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="2408,539,2621,564"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html">alexaClientSDK::afml::test::AudioActivityTrackerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">alexaClientSDK::afml</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">alexaClientSDK::afml::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9a6a6511feb355fc56b0aec84064788d"><td class="memItemLeft" align="right" valign="top">static std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9a6a6511feb355fc56b0aec84064788d">alexaClientSDK::afml::test::WAIT_TIMEOUT</a> (1000)</td></tr>
<tr class="memdesc:a9a6a6511feb355fc56b0aec84064788d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plenty of time for a test to complete.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9a6a6511feb355fc56b0aec84064788d">More...</a><br /></td></tr>
<tr class="separator:a9a6a6511feb355fc56b0aec84064788d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abab78d705aa9962212cf0af60d1aa9d5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#abab78d705aa9962212cf0af60d1aa9d5">alexaClientSDK::afml::test::NAMESPACE_AUDIO_ACTIVITY_TRACKER</a> (&quot;AudioActivityTracker&quot;)</td></tr>
<tr class="memdesc:abab78d705aa9962212cf0af60d1aa9d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace for AudioActivityTracke.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#abab78d705aa9962212cf0af60d1aa9d5">More...</a><br /></td></tr>
<tr class="separator:abab78d705aa9962212cf0af60d1aa9d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b949c2c62f2fddcb86399d7e3c723d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a03b949c2c62f2fddcb86399d7e3c723d">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_noActivityUpdate)</td></tr>
<tr class="memdesc:a03b949c2c62f2fddcb86399d7e3c723d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if there's no activity updates, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> will return an empty context.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a03b949c2c62f2fddcb86399d7e3c723d">More...</a><br /></td></tr>
<tr class="separator:a03b949c2c62f2fddcb86399d7e3c723d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78ed18f53447dcf8f2fc2cfdcfa966d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a78ed18f53447dcf8f2fc2cfdcfa966d3">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_emptyActivityUpdate)</td></tr>
<tr class="memdesc:a78ed18f53447dcf8f2fc2cfdcfa966d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if there's an empty set of activity updates, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html">AudioActivityTracker</a> will return an empty context.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a78ed18f53447dcf8f2fc2cfdcfa966d3">More...</a><br /></td></tr>
<tr class="separator:a78ed18f53447dcf8f2fc2cfdcfa966d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b3643960dad253052a689f3a1039f1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9b3643960dad253052a689f3a1039f1c">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_oneActiveChannel)</td></tr>
<tr class="memdesc:a9b3643960dad253052a689f3a1039f1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if there's an activityUpdate for one active channel, context will be reported correctly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9b3643960dad253052a689f3a1039f1c">More...</a><br /></td></tr>
<tr class="separator:a9b3643960dad253052a689f3a1039f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583d69a46eace9cbdb10a62b5c17331e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a583d69a46eace9cbdb10a62b5c17331e">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_oneActiveChannelWithAIPAsInterface)</td></tr>
<tr class="separator:a583d69a46eace9cbdb10a62b5c17331e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5649521ed5d43cbc11fb821fa8a2b731"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a5649521ed5d43cbc11fb821fa8a2b731">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_oneActiveChannelWithDefaultAndAIPAsInterfaces)</td></tr>
<tr class="separator:a5649521ed5d43cbc11fb821fa8a2b731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918bd9e32ba3c1bc20a7781284f9136a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a918bd9e32ba3c1bc20a7781284f9136a">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_twoActiveChannels)</td></tr>
<tr class="memdesc:a918bd9e32ba3c1bc20a7781284f9136a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if there's an activityUpdate for two active channels, context will be reported correctly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a918bd9e32ba3c1bc20a7781284f9136a">More...</a><br /></td></tr>
<tr class="separator:a918bd9e32ba3c1bc20a7781284f9136a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c1f3e909f1fd648d1937a6eb8f5efc6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a1c1f3e909f1fd648d1937a6eb8f5efc6">alexaClientSDK::afml::test::TEST_F</a> (AudioActivityTrackerTest, test_oneActiveOneIdleChannels)</td></tr>
<tr class="memdesc:a1c1f3e909f1fd648d1937a6eb8f5efc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if there's an activityUpdate for one active and one idle channels, context will be reported correctly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a1c1f3e909f1fd648d1937a6eb8f5efc6">More...</a><br /></td></tr>
<tr class="separator:a1c1f3e909f1fd648d1937a6eb8f5efc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ade82f8d64ff55365607fa676f3d9db75"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ade82f8d64ff55365607fa676f3d9db75">alexaClientSDK::afml::test::NAMESPACE_AND_NAME_STATE</a> {NAMESPACE_AUDIO_ACTIVITY_TRACKER, &quot;ActivityState&quot;}</td></tr>
<tr class="memdesc:ade82f8d64ff55365607fa676f3d9db75"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>NamespaceAndName</code> to send to the <code>ContextManager</code>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ade82f8d64ff55365607fa676f3d9db75">More...</a><br /></td></tr>
<tr class="separator:ade82f8d64ff55365607fa676f3d9db75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9800e932c8997b89809bdac7dc6dc22"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ae9800e932c8997b89809bdac7dc6dc22">alexaClientSDK::afml::test::PROVIDE_STATE_TOKEN_TEST</a> {1}</td></tr>
<tr class="memdesc:ae9800e932c8997b89809bdac7dc6dc22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide State Token for testing.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ae9800e932c8997b89809bdac7dc6dc22">More...</a><br /></td></tr>
<tr class="separator:ae9800e932c8997b89809bdac7dc6dc22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad134513c6e11f83b95e0189169c263a2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad134513c6e11f83b95e0189169c263a2">alexaClientSDK::afml::test::DIALOG_CHANNEL_NAME</a> {&quot;Dialog&quot;}</td></tr>
<tr class="memdesc:ad134513c6e11f83b95e0189169c263a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default Dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad134513c6e11f83b95e0189169c263a2">More...</a><br /></td></tr>
<tr class="separator:ad134513c6e11f83b95e0189169c263a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b4040f3e590aae7dd1a8471ab24bbf8"><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a4b4040f3e590aae7dd1a8471ab24bbf8">alexaClientSDK::afml::test::DIALOG_CHANNEL_PRIORITY</a> {100}</td></tr>
<tr class="memdesc:a4b4040f3e590aae7dd1a8471ab24bbf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> priority.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a4b4040f3e590aae7dd1a8471ab24bbf8">More...</a><br /></td></tr>
<tr class="separator:a4b4040f3e590aae7dd1a8471ab24bbf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea027d9ebe4eb175412aa7f1b138870"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0ea027d9ebe4eb175412aa7f1b138870">alexaClientSDK::afml::test::DIALOG_INTERFACE_NAME</a> {&quot;SpeechSynthesizer&quot;}</td></tr>
<tr class="memdesc:a0ea027d9ebe4eb175412aa7f1b138870"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default Dialog interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0ea027d9ebe4eb175412aa7f1b138870">More...</a><br /></td></tr>
<tr class="separator:a0ea027d9ebe4eb175412aa7f1b138870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade39fe0560ac96936530266930593bb9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ade39fe0560ac96936530266930593bb9">alexaClientSDK::afml::test::AIP_INTERFACE_NAME</a> {&quot;SpeechRecognizer&quot;}</td></tr>
<tr class="memdesc:ade39fe0560ac96936530266930593bb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SpeechRecognizer interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ade39fe0560ac96936530266930593bb9">More...</a><br /></td></tr>
<tr class="separator:ade39fe0560ac96936530266930593bb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2fc75d47d3ce7fcbe9374a390dc4be4b">alexaClientSDK::afml::test::CONTENT_CHANNEL_NAME</a> {&quot;Content&quot;}</td></tr>
<tr class="memdesc:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default Content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2fc75d47d3ce7fcbe9374a390dc4be4b">More...</a><br /></td></tr>
<tr class="separator:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af83d03b89b667d3df55d8612fb053b50"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af83d03b89b667d3df55d8612fb053b50">alexaClientSDK::afml::test::CONTENT_INTERFACE_NAME</a> {&quot;AudioPlayer&quot;}</td></tr>
<tr class="memdesc:af83d03b89b667d3df55d8612fb053b50"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default Content interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af83d03b89b667d3df55d8612fb053b50">More...</a><br /></td></tr>
<tr class="separator:af83d03b89b667d3df55d8612fb053b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd1fc68e02e1ebde5300cc5a7d9c29e7"><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#abd1fc68e02e1ebde5300cc5a7d9c29e7">alexaClientSDK::afml::test::CONTENT_CHANNEL_PRIORITY</a> {300}</td></tr>
<tr class="memdesc:abd1fc68e02e1ebde5300cc5a7d9c29e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default Content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> priority.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#abd1fc68e02e1ebde5300cc5a7d9c29e7">More...</a><br /></td></tr>
<tr class="separator:abd1fc68e02e1ebde5300cc5a7d9c29e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b5f7790a647932ddcfc193b248f8c88"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0b5f7790a647932ddcfc193b248f8c88">alexaClientSDK::afml::test::SHORT_TIMEOUT_MS</a> = std::chrono::milliseconds(5)</td></tr>
<tr class="memdesc:a0b5f7790a647932ddcfc193b248f8c88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout to sleep before asking for provideState().  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0b5f7790a647932ddcfc193b248f8c88">More...</a><br /></td></tr>
<tr class="separator:a0b5f7790a647932ddcfc193b248f8c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
